Subject: bug#41117: "Cut and paste" section name in bookmarks (PDF, Emacs manual)

From: Sebastian Urban <[email-masked]>
Date: Thu, 14 May 2020 18:51:06 +0200

Alright, back from Texinfo.

Thread link:
https://lists.gnu.org/archive/html/help-texinfo/2020-05/msg00031.html

Here is the important part:

 >> 1.  In my "test" texi file there is a line:
 >>    @chapter ``Some text'' and the rest of the @TeX{} text
 >>
 >> The point is, when I export file to PDF (texi2pdf --tidy test.texi,
 >> with @documentencoding UTF-8), the bookmark that is created (PDF
 >> bookmarks) has ``Some text'', while I was hoping for “Some text”
 >> (curved quotes).
 >>
 >> I can "fix" it like this:
 >>    @chapter “Some text” ....
 >>
 >> ("fix" in this case means getting "Some text" in the bookmarks, which
 >> is at least ASCII style quoting convention, i.e. it's better)
 >>
 >> but is there any way to stick to the ``..'' convention?
 >
 > It would have to be implemented.  The problem is that the PDF format
 > uses UTF-16 internally for the bookmarks, so using curly quotes here is
 > quite difficult.  Hence we are stuck with ASCII in the bookmarks.  I
 > guess that " is better than `` but this may also be difficult to
 > implement.  `` is a ligature in the fonts used that is a curvy double
 > quote but the PDF bookmarks are completely separate - you'd need to
 > change the two tokens `` to something else somehow.

And few days later:

 > I'm not planning on working on this soon.  It would be messy to 
implement
 > and quotation marks in chapter titles are rare anyway.

So... can't we have one exception?  As I wrote, it's in @section, so
it could be special case - one special case.

S. U.